package rasel.lunar.launcher.utils

object AlphabetToChosungMap {
    val map = hashMapOf<String,String>(
        Pair("a","o"),
        Pair("b","ㅂ"),
        Pair("c","ㅋㅅ"),
        Pair("d","ㄷ"),
        Pair("e","o"),
        Pair("f","ㅍ"),
        Pair("g","ㄱㅈ"),
        Pair("h","ㅎ"),
        Pair("i","o"),
        Pair("j","ㅈ"),
        Pair("k","ㅋ"),
        Pair("l","ㄹ"),
        Pair("m","ㅁ"),
        Pair("n","ㄴ"),
        Pair("o","o"),
        Pair("p","ㅍ"),
        Pair("q","ㅋ"),
        Pair("r","ㄹ"),
        Pair("s","ㅅ"),
        Pair("t","ㅌ"),
        Pair("u","o"),
        Pair("v","ㅂ"),
        Pair("w","o"),
        Pair("x","ㅋㅅㅈ"),
        Pair("y","이"),
        Pair("z","ㅈ"),
        Pair("10","ㅅㅌ"),
        Pair("0","ㅇㅈ"),
        Pair("9","ㄱㄴ"),
        Pair("8","ㅍㅇ"),
        Pair("7","ㅊㅅ"),
        Pair("6","ㅇㅅ"),
        Pair("5","ㅇㅍ"),
        Pair("4","ㅅㅍ"),
        Pair("3","ㅅㅆ"),
        Pair("2","ㅇㅌ"),
        Pair("1","ㅇ"),
    )

    fun getCho(string : String) = string.split("").filter { it.length > 0 && map.containsKey(it.toLowerCase()) }.map { map.get(it) }.joinToString("")
}